[PACKAGE]: ../../raw/master/mkp/checkpoint_log_server-0.3.0-20230423.mkp "checkpoint_log_server-0.3.0-20230423.mkp"
# Check Point Log server

Collection of Check Point Log server checks
* *checkpoint_fw_ls*: monitors the status of the log server on the gateway side
* *checkpoint_fwm_ls*: monitors the status of the log server on the management side

## Check Info *checkpoint_fw_ls*:

* *service*: this service will cerate on service for each log server the gateway is connected to and the service *FW Log server over all*
* *state*:

    **critical**
    * if *fwLocalLoggingStat* is *2*, *Logging local due to connectivity*
    * if *fwlsconnoverall* is *2*
    
    **warning**
    * if *fwLocalLoggingStat* is *1* or *3*, *Logging local configured*, *Logging local due to high rate*
    * if *fwlsconnoverall* is *1*
* *wato*: 
    * default connection status
    * defualt monitoring state if expected connecton status differs from actual connection status
* *perfdata*:
    * Local Logging Writing Rate
    * Logging Handling Rate
    * Sending Rate

## Check Info *checkpoint_fwm_ls*:

* *service*: creates the service FWM Log Server
* *state*:

    **critical**
    * if *lsstatcode* is not *0*, errordescription from *lsstatlongdescr*
    * if *lsfwmisalive* is not *1*, service not alive
* *wato*: you can configure to ignore *lsfwmisalive* on R80.x systems
* *perfdata*:
    * Updates and logs index rate
    * Updates and logs peak index rate
    * Logs read rate
    * Logs read peak rate

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output from gateway

![sample output from gw](img/sample-gw.png?raw=true "sample output from gw")

---
### Sample output from management

![sample output from mgmt](img/sample-mgmt.png?raw=true "sample outpout from mgmt")
